Ext.define('DSS.component.RadioControl', {
    extend : 'DSS.component.Base',
    mixins : {
        observable : 'Ext.util.Observable'
    },
    radioCntrl:null,
    constructor : function(config) {
    	if (config.labelWidth==null)
    		config.labelWidth=100;
        var subItems=[];
    	for (var iIndex=0;iIndex<config.data.length;iIndex++) {
    		var pValue=config.data[iIndex];
    		if (pValue.value!=null)
    			if (pValue.label!=null)
    				subItems.push({
    					name:config.radioid,
    					boxLabel:pValue.label,
    					inputValue:pValue.value});
    	}
    	this.radioCntrl=Ext.create('Ext.form.RadioGroup', {
    		fieldLabel : config.label,
    		items : subItems,
    		columns : 1,
            maxHeight : 75,
    		width: (700-config.labelWidth),
    		labelWidth : config.labelWidth,
    		padding: "5 0 5 0",
    		layout: {
	    		type: 'vbox',
	    		align: 'left'
    		},
    		style : {
                color: '#005138'            	
            },
            height:75
    	});    	
        Ext.apply(this, {
            items : [ this.radioCntrl ]
        });
        this.callParent(arguments);
    },
    reset: function (){
    	this.radioCntrl.setValue(null);
    },
    setValue:function (value){
    	this.radioCntrl.setValue(value);
    },
    isValid:function(){
        return this.radioCntrl.isValid();
    },
    getValue : function(){
    	return this.radioCntrl.getValue();
    }
});